# 32/64 spec-file
#
Name:     google-talkplugin
Version:  4.4.2.0
Release:  %mkrel 1

Summary:  Google Talk Plugin
License:  Priority/Nonfree
Group:    Networking/Chat
URL:      https://www.google.com/chat/video/download.html
Source0:  https://www.google.com/chat/video/download.html/google-talkplugin_current_i386.rpm
Source1:  https://www.google.com/chat/video/download.html/google-talkplugin_current_x86_64.rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:  pclinuxos-release     



%description
The Google Talk Plugin is a browser plugin that enables you to use Google 
voice and video chat to chat face to face with family and friends.

%prep
%ifarch x86_64
rpm2cpio %_sourcedir/google-talkplugin_current_x86_64.rpm | cpio -vid
%else
rpm2cpio %_sourcedir/google-talkplugin_current_i386.rpm | cpio -vid
%endif

%build
#nobuild


%install
rm -rf %{buildroot}

install -dm 755 %buildroot/opt 
cp -af opt/* %buildroot/opt 

install -dm 755 %buildroot/%_sysconfdir
cp -af etc/* %buildroot/%_sysconfdir

install -dm 755 %buildroot/usr
cp -af usr/%{_lib} %buildroot/usr

%ifarch x86_64
mkdir -p %buildroot/usr/lib/mozilla/plugins
mv %buildroot/usr/%{_lib}/mozilla/plugins/* %buildroot/usr/lib/mozilla/plugins/
%endif

rm -rf %buildroot/usr/%{_lib}/iceape
rm -rf %buildroot/usr/%{_lib}/iceweasel
rm -rf %buildroot/usr/%{_lib}/midbrowser

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/*

%files
%defattr(-,root,root,-)
%_sysconfdir/cron.daily
/opt/google/talkplugin
/opt/google/chrome/pepper/libppo1d.so
%{_libdir}/*
%ifarch x86_64
/usr/lib/mozilla/plugins
%endif

%changelog
* Mon Aug 12 2013 pinoc <vogtpet at gmail.com> 4.4.2.0-1pclos2013
- 4.4.2.0
- combined 32/64 setup

* Wed May 29 2013 Texstar <texstar at gmail.com> 3.17.0.0-2pclos2013
- fix package

* Sun May 05 2013 Ken <lxgator at gmail.com> 3.17.0.0-1pclos2013
- Update to 3.17.0.0

